const express = require("express");
const router = express.Router();
const connectionController = require("../controllers/connectionController");
const { protect } = require("../controllers/authController");

// Route to send a connection request
router.post(
  "/send-connection-request",
  protect,
  connectionController.sendConnectionRequest
);

// Route to accept a connection request
router.post(
  "/accept-connection-request",
  protect,
  connectionController.acceptConnectionRequest
);

// Route to reject a connection request
router.post(
  "/reject-connection-request",
  protect,
  connectionController.rejectConnectionRequest
);

// Route to get all connections (pending or accepted)
router.get(
  "/user-connections",
  protect,
  connectionController.getUserConnections
);

// Add additional routes for other advanced features as necessary

module.exports = router;
